Zum Inhalt springen

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI-Beschreibung herunterladen
Sprachen
Server
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/de/api/catalog/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Bestellung mit einem bestimmten kostenlosen Warenkorb anlegenClient-side

Anfrage

Legt eine Bestellung mit allen Artikeln aus dem jeweiligen kostenlosen Warenkorb an. Der angelegten Bestellung wird der Bestellstatus done zugewiesen.

Sicherheit
AuthForCart
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
cart_idstringerforderlich

Warenkorb-ID.

Beispiel: custom_id
Bodyapplication/json
currencystring

Währung des Bestellpreises. Dreistelliger Währungscode pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

custom_parametersobject[ 1 .. 200 ] properties

Projektspezifische Parameter.

localestring

Antwortsprache.

sandboxboolean

Legt eine Bestellung in der Testumgebung an. Die Option steht den Nutzern offen, die in der Liste der Firmennutzer aufgeführt sind.

Standard false
settingsobject

Einstellungen zum Konfigurieren des Bezahlvorgangs und des Zahlungsportals für einen Nutzer.

settings.​payment_methodinteger(Cart-Payment_settings_payment_method)>= 1

Zahlungsmethoden-ID. Die ID steuert die Anzeige der Währung im Zahlungsportal, da einige Zahlungsmethoden möglicherweise nur bestimmte Währungen unterstützen.

settings.​redirect_policyobject(Cart-Payment_redirect_policy)
settings.​redirect_policy.​delayinteger

Verzögerung, nach der der Nutzer automatisch zur Rückgabe-URL weitergeleitet wird.

Beispiel: 0
settings.​redirect_policy.​redirect_button_captionstring

Lokalisierte Beschriftungen der Weiterleiten-Schaltfläche.

Beispiel: "Text button"
settings.​redirect_policy.​redirect_conditionsstring

Zahlungsstatus, der eine Benutzerweiterleitung zur Rückgabe-URL auslöst.

Enum"none""successful""successful_or_canceled""any"
Beispiel: "none"
settings.​redirect_policy.​status_for_manual_redirectionstring

Zahlungsstatus, der die Anzeige einer Schaltfläche auslöst, bei dessen Klick der Nutzer zur Rückgabe-URL weitergeleitet wird.

Enum"none""successful""successful_or_canceled""any"
Beispiel: "none"
settings.​return_urlstring(uri)(Cart-Payment_settings_return_url)<= 1000 characters

Seite, auf die der Nutzer nach der Zahlung weitergeleitet wird. Die folgenden Parameter werden dem Link automatisch hinzugefügt: user_id, foreigninvoice, invoice_id, status.

settings.​uiobject(Cart-Payment_settings_ui)

Benutzeroberflächeneinstellungen.

settings.​ui.​currency_formatstring

Damit ein Währungscode bestehend aus drei Buchstaben gemäß ISO 4217 im Zahlungsportal angezeigt wird, müssen Sie code als Wert festlegen. Standardmäßig wird das Währungssymbol anstelle des Währungscodes angezeigt.

settings.​ui.​desktopobject

Benutzeroberflächeneinstellungen für die Desktopversion.

settings.​ui.​desktop.​headerobject

Header-Einstellungen.

settings.​ui.​desktop.​header.​close_buttonboolean

Ob in der Desktop-Version des Zahlungsportals eine Schließen-Schaltfläche angezeigt werden soll. Die Schaltfläche schließt das Zahlungsportal und leitet den Nutzer zu der im Parameter settings.return_url angegebenen URL weiter. Standardmäßig ist false voreingestellt.

Standard false
settings.​ui.​desktop.​header.​is_visibleboolean

Ob der Header im Zahlungsportal angezeigt wird.

settings.​ui.​desktop.​header.​typestring

Wie der Header angezeigt wird. Möglich sind compact (Projektname und Benutzer-ID sind ausgeblendet) oder normal (Standard).

Standard "normal"
Enum"compact""normal"
settings.​ui.​desktop.​header.​visible_logoboolean

Wenn true wird das Logo im Header angezeigt. Um das Bild hochzuladen, öffnen Sie Ihr Projekt im Kundenportal, und navigieren Sie zu Pay Station > Einstellungen.

settings.​ui.​desktop.​header.​visible_nameboolean

Ob der Projektname im Header angezeigt wird.

settings.​ui.​desktop.​header.​visible_purchaseboolean

Ob die Kaufbeschreibung (purchase.description.value) im Header angezeigt wird. true ist voreingestellt.

Standard true
settings.​ui.​headerobject
settings.​ui.​header.​visible_virtual_currency_balanceboolean

Ob dieses Element im Zahlungsportal ausgeblendet werden kann oder nicht.

Standard true
settings.​ui.​is_cart_open_by_defaultboolean

Wie die Artikelliste im Warenkorb beim Öffnen der mobilen Zahlungsportal-Version angezeigt wird. Wenn true festgelegt ist, wird die Liste ausgeklappt angezeigt. Wenn false (Standard) festgelegt ist oder der Parameter nicht übermittelt wird, wird die Liste zusammengeklappt angezeigt.

Standard false
settings.​ui.​is_independent_windowsboolean

Ob Nutzer zum Bezahlen vom im Launcher eingebetteten Browser (WebView) zu ihrem Standardbrowser weitergeleitet werden sollen.

Standard false
settings.​ui.​is_payment_methods_list_modeboolean

Ob die Liste der im Land des Nutzers verfügbaren Zahlungsmethoden beim Öffnen des Zahlungsportals angezeigt wird. Ist false festgelegt (Standard), wird die im Parameter settings.payment_method übermittelte Zahlungsmethode oder die vom PayRank-Algorithmus ausgewählte Zahlungsmethode angezeigt.

Standard false
settings.​ui.​is_prevent_external_link_openboolean

Ob die Weiterleitung per Link zu einer externen Ressource deaktiviert ist oder nicht. Wenn Sie auf einen externen Link klicken, wird das Ereignis external-link-open über den postMessage-Mechanismus gesendet. Die Adresse für den Weiterleitungs-Link wird im Parameter url übermittelt.

Standard false
settings.​ui.​is_show_close_widget_warningboolean

Ob während der Transaktionsverarbeitung eine Warnmeldung angezeigt werden soll, wenn der Mauszeiger über das Schließen-Symbol (×) bewegt wird. Wird false oder kein Parameter übermittelt, wird die Warnmeldung nicht angezeigt.

Standard true
settings.​ui.​is_three_ds_independent_windowsboolean

Ob die "3-D Secure"-Prüfung in einem neuen Browserfenster geöffnet wird. Legen Sie true fest, wenn Ihr Setup eine Content Security Policy (CSP) vorschreibt.

Standard false
settings.​ui.​layoutstring

Position der Hauptelemente des Zahlungsportals. Sie können das Zahlungsportal im Spiel öffnen und/oder die Spalte mit den Bestellinformationen und den Angaben zu den Zahlungsmethoden vertauschen. Ausführliche Informationen finden Sie in den Anpassungsanweisungen.

Enum"embed""column_reverse""embed_column_reverse"
settings.​ui.​mobileobject
settings.​ui.​mobile.​headerobject
settings.​ui.​mobile.​header.​close_buttonboolean

Ob in der mobilgeräteoptimierten Version des Zahlungsportals eine Schließen-Schaltfläche angezeigt werden soll. Die Schaltfläche schließt das Zahlungsportal und leitet den Nutzer zu der im Parameter settings.return_url angegebenen URL weiter.

Standard false
settings.​ui.​modestring

Benutzeroberflächen-Modus im Zahlungsportal. Nur user_account ist möglich. Der Header enthält nur das Navigationsmenü, und der Nutzer kann kein Produkt auswählen oder eine Zahlung vornehmen. Dieser Modus ist nur für die Desktop-Version verfügbar.

Wert"user_account"
settings.​ui.​themestring

Zahlungsportal-Theme. Möglich sind "63295a9a2e47fab76f7708e1" (helles Theme – voreingestellt) oder "63295aab2e47fab76f7708e3" (dunkles Theme). Sie können außerdem ein individuelles Theme erstellen und dessen ID im Parameter übermitteln.

Standard "63295a9a2e47fab76f7708e1"
Enum"63295a9a2e47fab76f7708e1""63295aab2e47fab76f7708e3"
settings.​ui.​user_accountobject

Benutzerkontodetails.

settings.​ui.​user_account.​infoobject

Seite Mein Konto.

settings.​ui.​user_account.​info.​enablebooleanerforderlich

Ob das Untermenü angezeigt wird. false ist voreingestellt.

Standard false
settings.​ui.​user_account.​info.​orderinteger>= 1erforderlich

Position des Untermenüs im Hauptmenü.

settings.​ui.​user_account.​payment_accountsobject

Untermenü Meine Zahlungskonten.

settings.​ui.​user_account.​payment_accounts.​enablebooleanerforderlich

Ob das Untermenü angezeigt wird. false ist voreingestellt.

Standard false
settings.​ui.​user_account.​subscriptionsobject

Untermenü Abonnements verwalten.

settings.​ui.​user_account.​subscriptions.​enablebooleanerforderlich

Ob das Untermenü angezeigt wird. false ist voreingestellt.

Standard false
settings.​ui.​user_account.​subscriptions.​orderinteger>= 1erforderlich

Position des Untermenüs im Hauptmenü.

curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/free/cart/custom_id \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "character_id": "ingameUsername"
    },
    "sandbox": true,
    "settings": {
      "ui": {
        "desktop": {
          "header": {
            "close_button": false,
            "is_visible": true,
            "type": "normal",
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true
          }
        },
        "theme": "63295a9a2e47fab76f7708e1"
      }
    }
  }'

Antworten

Kostenlose Bestellung wurde erfolgreich angelegt.

Bodyapplication/json
order_idinteger

Bestell-ID.

Antwort
application/json
{ "order_id": 641 }

Bestellung mit angegebenem kostenlosen Artikel anlegenClient-side

Anfrage

Creates an order with a specified free item. The created order will get a done order status.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.

Sicherheit
XsollaLoginUserJWT
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
item_skustringerforderlich

Artikel-SKU.

Beispiel: booster_mega_1
Bodyapplication/json
currencystring

Währung des Bestellpreises. Dreistelliger Währungscode pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

custom_parametersobject[ 1 .. 200 ] properties

Projektspezifische Parameter.

localestring

Antwortsprache.

promo_codestring

Löst den Code einer Promocode-Aktion gegen Bezahlung ein.

quantityinteger>= 1

Artikelmenge.

Standard 1
sandboxboolean

Legt eine Bestellung in der Testumgebung an. Die Option steht den Nutzern offen, die in der Liste der Firmennutzer aufgeführt sind.

Standard false
settingsobject

Einstellungen zum Konfigurieren des Bezahlvorgangs und des Zahlungsportals für einen Nutzer.

settings.​payment_methodinteger(Cart-Payment_settings_payment_method)>= 1

Zahlungsmethoden-ID. Die ID steuert die Anzeige der Währung im Zahlungsportal, da einige Zahlungsmethoden möglicherweise nur bestimmte Währungen unterstützen.

settings.​redirect_policyobject(Cart-Payment_redirect_policy)
settings.​redirect_policy.​delayinteger

Verzögerung, nach der der Nutzer automatisch zur Rückgabe-URL weitergeleitet wird.

Beispiel: 0
settings.​redirect_policy.​redirect_button_captionstring

Lokalisierte Beschriftungen der Weiterleiten-Schaltfläche.

Beispiel: "Text button"
settings.​redirect_policy.​redirect_conditionsstring

Zahlungsstatus, der eine Benutzerweiterleitung zur Rückgabe-URL auslöst.

Enum"none""successful""successful_or_canceled""any"
Beispiel: "none"
settings.​redirect_policy.​status_for_manual_redirectionstring

Zahlungsstatus, der die Anzeige einer Schaltfläche auslöst, bei dessen Klick der Nutzer zur Rückgabe-URL weitergeleitet wird.

Enum"none""successful""successful_or_canceled""any"
Beispiel: "none"
settings.​return_urlstring(uri)(Cart-Payment_settings_return_url)<= 1000 characters

Seite, auf die der Nutzer nach der Zahlung weitergeleitet wird. Die folgenden Parameter werden dem Link automatisch hinzugefügt: user_id, foreigninvoice, invoice_id, status.

settings.​uiobject(Cart-Payment_settings_ui)

Benutzeroberflächeneinstellungen.

settings.​ui.​currency_formatstring

Damit ein Währungscode bestehend aus drei Buchstaben gemäß ISO 4217 im Zahlungsportal angezeigt wird, müssen Sie code als Wert festlegen. Standardmäßig wird das Währungssymbol anstelle des Währungscodes angezeigt.

settings.​ui.​desktopobject

Benutzeroberflächeneinstellungen für die Desktopversion.

settings.​ui.​desktop.​headerobject

Header-Einstellungen.

settings.​ui.​desktop.​header.​close_buttonboolean

Ob in der Desktop-Version des Zahlungsportals eine Schließen-Schaltfläche angezeigt werden soll. Die Schaltfläche schließt das Zahlungsportal und leitet den Nutzer zu der im Parameter settings.return_url angegebenen URL weiter. Standardmäßig ist false voreingestellt.

Standard false
settings.​ui.​desktop.​header.​is_visibleboolean

Ob der Header im Zahlungsportal angezeigt wird.

settings.​ui.​desktop.​header.​typestring

Wie der Header angezeigt wird. Möglich sind compact (Projektname und Benutzer-ID sind ausgeblendet) oder normal (Standard).

Standard "normal"
Enum"compact""normal"
settings.​ui.​desktop.​header.​visible_logoboolean

Wenn true wird das Logo im Header angezeigt. Um das Bild hochzuladen, öffnen Sie Ihr Projekt im Kundenportal, und navigieren Sie zu Pay Station > Einstellungen.

settings.​ui.​desktop.​header.​visible_nameboolean

Ob der Projektname im Header angezeigt wird.

settings.​ui.​desktop.​header.​visible_purchaseboolean

Ob die Kaufbeschreibung (purchase.description.value) im Header angezeigt wird. true ist voreingestellt.

Standard true
settings.​ui.​headerobject
settings.​ui.​header.​visible_virtual_currency_balanceboolean

Ob dieses Element im Zahlungsportal ausgeblendet werden kann oder nicht.

Standard true
settings.​ui.​is_cart_open_by_defaultboolean

Wie die Artikelliste im Warenkorb beim Öffnen der mobilen Zahlungsportal-Version angezeigt wird. Wenn true festgelegt ist, wird die Liste ausgeklappt angezeigt. Wenn false (Standard) festgelegt ist oder der Parameter nicht übermittelt wird, wird die Liste zusammengeklappt angezeigt.

Standard false
settings.​ui.​is_independent_windowsboolean

Ob Nutzer zum Bezahlen vom im Launcher eingebetteten Browser (WebView) zu ihrem Standardbrowser weitergeleitet werden sollen.

Standard false
settings.​ui.​is_payment_methods_list_modeboolean

Ob die Liste der im Land des Nutzers verfügbaren Zahlungsmethoden beim Öffnen des Zahlungsportals angezeigt wird. Ist false festgelegt (Standard), wird die im Parameter settings.payment_method übermittelte Zahlungsmethode oder die vom PayRank-Algorithmus ausgewählte Zahlungsmethode angezeigt.

Standard false
settings.​ui.​is_prevent_external_link_openboolean

Ob die Weiterleitung per Link zu einer externen Ressource deaktiviert ist oder nicht. Wenn Sie auf einen externen Link klicken, wird das Ereignis external-link-open über den postMessage-Mechanismus gesendet. Die Adresse für den Weiterleitungs-Link wird im Parameter url übermittelt.

Standard false
settings.​ui.​is_show_close_widget_warningboolean

Ob während der Transaktionsverarbeitung eine Warnmeldung angezeigt werden soll, wenn der Mauszeiger über das Schließen-Symbol (×) bewegt wird. Wird false oder kein Parameter übermittelt, wird die Warnmeldung nicht angezeigt.

Standard true
settings.​ui.​is_three_ds_independent_windowsboolean

Ob die "3-D Secure"-Prüfung in einem neuen Browserfenster geöffnet wird. Legen Sie true fest, wenn Ihr Setup eine Content Security Policy (CSP) vorschreibt.

Standard false
settings.​ui.​layoutstring

Position der Hauptelemente des Zahlungsportals. Sie können das Zahlungsportal im Spiel öffnen und/oder die Spalte mit den Bestellinformationen und den Angaben zu den Zahlungsmethoden vertauschen. Ausführliche Informationen finden Sie in den Anpassungsanweisungen.

Enum"embed""column_reverse""embed_column_reverse"
settings.​ui.​mobileobject
settings.​ui.​mobile.​headerobject
settings.​ui.​mobile.​header.​close_buttonboolean

Ob in der mobilgeräteoptimierten Version des Zahlungsportals eine Schließen-Schaltfläche angezeigt werden soll. Die Schaltfläche schließt das Zahlungsportal und leitet den Nutzer zu der im Parameter settings.return_url angegebenen URL weiter.

Standard false
settings.​ui.​modestring

Benutzeroberflächen-Modus im Zahlungsportal. Nur user_account ist möglich. Der Header enthält nur das Navigationsmenü, und der Nutzer kann kein Produkt auswählen oder eine Zahlung vornehmen. Dieser Modus ist nur für die Desktop-Version verfügbar.

Wert"user_account"
settings.​ui.​themestring

Zahlungsportal-Theme. Möglich sind "63295a9a2e47fab76f7708e1" (helles Theme – voreingestellt) oder "63295aab2e47fab76f7708e3" (dunkles Theme). Sie können außerdem ein individuelles Theme erstellen und dessen ID im Parameter übermitteln.

Standard "63295a9a2e47fab76f7708e1"
Enum"63295a9a2e47fab76f7708e1""63295aab2e47fab76f7708e3"
settings.​ui.​user_accountobject

Benutzerkontodetails.

settings.​ui.​user_account.​infoobject

Seite Mein Konto.

settings.​ui.​user_account.​info.​enablebooleanerforderlich

Ob das Untermenü angezeigt wird. false ist voreingestellt.

Standard false
settings.​ui.​user_account.​info.​orderinteger>= 1erforderlich

Position des Untermenüs im Hauptmenü.

settings.​ui.​user_account.​payment_accountsobject

Untermenü Meine Zahlungskonten.

settings.​ui.​user_account.​payment_accounts.​enablebooleanerforderlich

Ob das Untermenü angezeigt wird. false ist voreingestellt.

Standard false
settings.​ui.​user_account.​subscriptionsobject

Untermenü Abonnements verwalten.

settings.​ui.​user_account.​subscriptions.​enablebooleanerforderlich

Ob das Untermenü angezeigt wird. false ist voreingestellt.

Standard false
settings.​ui.​user_account.​subscriptions.​orderinteger>= 1erforderlich

Position des Untermenüs im Hauptmenü.

curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/free/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "character_id": "ingameUsername"
    },
    "promo_code": "discount_code",
    "quantity": 5,
    "sandbox": true,
    "settings": {
      "ui": {
        "desktop": {
          "header": {
            "close_button": false,
            "is_visible": true,
            "type": "normal",
            "visible_logo": true,
            "visible_name": true,
            "visible_purchase": true
          }
        },
        "theme": "63295a9a2e47fab76f7708e1"
      }
    }
  }'

Antworten

Kostenlose Bestellung wurde erfolgreich angelegt.

Bodyapplication/json
order_idinteger

Bestell-ID.

Antwort
application/json
{ "order_id": 641 }
Operationen
Operationen
Operationen
Operationen

Katalog

Diese API ermöglicht es, jede Art von verkäuflichen oder bestimmten Artikeln zu erhalten.

Operationen
Operationen
Operationen
Operationen
Operationen